services:
  Telnowedge\BaseBundle\Repository\AbstractRepository:
    abstract: true
    calls:
      - method: setConnection
        arguments:
          $connection: '@default_connection'
          $cdrConnection: '@cdr_connection'

  Telnowedge\BaseBundle\Repository\AbstractLinkRepository:
    abstract: true
    calls:
      - method: setFreePbxContainer
        arguments:
          $container: '@freepbx_container'
      - method: setFreePbxManager
        arguments:
          $manager: '@freepbx_manager'
